## pymatgen 2022.0.17+dfsg1

=== requirements.txt ===
numpy==1.21.4
sympy==1.8
requests==2.26.0
monty==2021.12.1
ruamel.yaml==0.17.17
scipy==1.7.1
tabulate==0.8.9
matplotlib==3.5.0
palettable==3.3.0
spglib==1.16.1
pandas==1.3.4
networkx==2.5.1
plotly==5.3.1
beautifulsoup4==4.9.3
uncertainties==3.1.5
Cython==0.29.23
typing_extensions==3.10.0.0; python_version < '3.8'

=== debian/changelog ===
pymatgen (2022.0.17+dfsg1-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 19:25:22 +0000

pymatgen (2022.0.17+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - fixes BSPlotterProjectedTest tests. Closes: #1000419.
  * exclude test_files in debian/copyright
    (they are now included in the new pymatgen-test-files package)
    - drop debian patch run_test_local_path.patch
  * skip tests until the pymatgen-test-file package becomes available
  * debian patch docs_mathjax_local.patch configures docs to use local
    mathjax (see Bug#989649)
  * debian/copyright: list detailed authors for
    docs_rst/_static/team-map.html (a blend of functions from different
    projects, all MIT licensed)

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Dec 2021 18:28:48 +0100

pymatgen (2022.0.16+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends: python3-phonopy. Closes: 1000432.
  * update debian patch skip_tests.patch to skip
    BSPlotterProjectedTest in electronic_structure test_plotter.py
    (incompatible with matplotlib 3.5). See Bug#1000419.

 -- Drew Parsons <dparsons@debian.org>  Wed, 24 Nov 2021 15:02:21 +0100

pymatgen (2022.0.14+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patches install_data_files.patch and
      use_TEST_FILES_DIR.patch
  * update versioned Build-Depends: python3-numpy (>= 1.20.1~),
      python3-monty (>= 3.0.2~),
      python3-matplotlib (>= 1.5~),
      python3-palettable (>= 3.1.1~),
      python3-spglib (>= 1.9.9.44~),
      python3-networkx (>= 2.2~),
      python3-plotly (>= 4.5.0~),
      python3-ase (>= 3.3~)
  * debian/rules: remove deprecated replacement of mathjax url
  * only build docs in arch-independent build
  * Build-Depends: python3-openbabel (optional supported package)
    python3-pymatgen Recommends: python3-openbabel

 -- Drew Parsons <dparsons@debian.org>  Thu, 14 Oct 2021 01:15:42 +0200

pymatgen (2022.0.11+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patches drop_feff_input_generation_f67cf7a.patch,
      skip_phonopy_tests.patch, test_filename_MoS.patch
    - docs no longer use badge-analysis.svg, badge-main.svg
    - docs use official ORCID-iD 32x32 logo (orcid.svg),
      licensed under Creative Commons CC0 1.0 Universal licence
  * Standards-Version: 4.6.0
  * use triple-slash for mathjax reference in docs
  * run build-time tests using pytest-3, with PMG_TEST_FILES_DIR
    pointing at toplevel test_files
  * update debian patch test_no_internet.patch to catch Exceptions
    (ConnectionError) if internet is not available
  * add debian patches
    - use_TEST_FILES_DIR.patch fixes tests to use TEST_FILES_DIR
    - install_data_files.patch installs missing data files
      (analysis/solar/am1.5G.dat, io/lammps/templates/md.txt)
    - skip_tests.patch skips tests (or code) that inappropriately
      triggers failures
  * image files in debian/images have been created by Drew Parsons
    using inkscape to serve in place of github image files for the
    purpose of preserving privacy in locally installed documentation
    Licenced under the MIT licence used for the rest of the debian dir
    (and the pymatgen project)
  * add debian/tests (autopkgtest)
  * run tests strictly with pytest-3. "python3.9 -m pytest" fails.
  * update debian patch test_no_internet.patch to test connection to
    aiida.materialscloud.org in test_optimade.py

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Aug 2021 09:59:25 +0200

pymatgen (2020.12.18+dfsg2-1) unstable; urgency=medium

  * Initial release (Closes: #962268)
  * copy test input files for running tests
  * add debian patches:
    - test_filename_MoS.patch identifies test file as
      MoS2_single.pdf not MOS2_single.pdf
    - skip_failing_WulffShapeTest.patch skips test_get_plotly to avoid
      index error in WulffShapeTest (test_wulff.py), see
      https://github.com/materialsproject/pymatgen/issues/2023
    - test_no_internet.patch skips tests requiring an internet
      connection (forbidden by Debian policy for privacy reasons)
    - skip_phonopy_tests.patch skips TestPhonopyFromForceConstants if
      phonopy is not present
    - test_h5py_byte_string.patch treats h5py string data as byte
      arrays (for h5py v3)
    - docs_no_local_python.patch removes local source dirs from python
      system path when building docs
    - drop_feff_input_generation_f67cf7a.patch applies upstream commit
      f67cf7a to drop the feff_input_generation executable script
    - run_test_local_path.patch accesses Vasp test file using full path
      to enable the test to be launched from other directories
    - test_lammps_regex_path.patch escapes '+' in path used to find
      lammps test files (e.g. with DFSG version "+dfsg2" in path)
  * man pages generated using help2man
  * remote image files used in docs have been predownloaded into
    debian/images and installed in html/_images to avoid privacy
    breaches in online documentation.

 -- Drew Parsons <dparsons@debian.org>  Tue, 29 Dec 2020 21:17:19 +1100

=== debian/control ===
Source: pymatgen
Section: python
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3-setuptools,
 python3-all-dev,
 python3-pytest,
 python3-numpy (>= 1.20.1~),
 python3-sympy (>= 1.6.2~),
 python3-requests (>= 2.24.0~),
 python3-monty (>= 3.0.2~),
 python3-ruamel.yaml (>= 0.16.12~),
 python3-scipy (>= 1.5.2~),
 python3-tabulate (>= 0.8.7~),
 python3-matplotlib (>= 1.5~),
 python3-palettable (>= 3.1.1~),
 python3-spglib (>= 1.9.9.44~),
 python3-pandas (>= 1.1.3~),
 python3-networkx (>= 2.2~),
 python3-plotly (>= 4.5.0~),
 python3-bs4 (>= 4.9.1~),
 python3-vtk9,
 python3-phonopy,
 python3-pybtex (>= 0.22.2~),
 python3-tqdm (>= 4.41.0~),
 python3-ase (>= 3.3~),
 python3-netcdf4 (>= 1.5.3~),
 python3-h5py (>= 2.10.0~),
 python3-uncertainties (>= 3.1.4~),
 python3-openbabel,
 libjs-mathjax,
 sphinx | python3-sphinx | sphinx-common | dh-sequence-sphinxdoc,
 python3-sphinx-rtd-theme
Standards-Version: 4.6.0
Homepage: https://pymatgen.org/
Vcs-Browser: https://salsa.debian.org/debichem-team/pymatgen
Vcs-Git: https://salsa.debian.org/debichem-team/pymatgen.git
Testsuite: autopkgtest-pkg-python

Package: python3-pymatgen
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: python3-openbabel
Suggests: python-pymatgen-doc
Description: Python Materials Genomics for materials analysis
 Pymatgen (Python Materials Genomics) is a robust, open-source Python
 library for materials analysis. These are some of the main features:
 .
 1.Highly flexible classes for the representation of Element, Site,
 Molecule, Structure objects.
 .
 2. Extensive input/output support, including support for VASP
 (http://cms.mpi.univie.ac.at/vasp/), ABINIT (http://www.abinit.org/),
 CIF, Gaussian, XYZ, and many other file formats.
 .
 3. Powerful analysis tools, including generation of phase diagrams,
 Pourbaix diagrams, diffusion analyses, reactions, etc.
 .
 4. Electronic structure analyses, such as density of states and band
 structure.
 .
 5. Integration with the Materials Project REST API, Crystallography
 Open Database.
 .
 This package provides the pymtgen module for Python 3.

Package: python-pymatgen-doc
Architecture: all
Section: doc
Depends: libjs-mathjax, ${sphinxdoc:Depends}, ${misc:Depends}
Description: Python Materials Genomics for materials analysis (documentation)
 Pymatgen (Python Materials Genomics) is a robust, open-source Python
 library for materials analysis. These are some of the main features:
 .
 1.Highly flexible classes for the representation of Element, Site,
 Molecule, Structure objects.
 .
 2. Extensive input/output support, including support for VASP
 (http://cms.mpi.univie.ac.at/vasp/), ABINIT (http://www.abinit.org/),
 CIF, Gaussian, XYZ, and many other file formats.
 .
 3. Powerful analysis tools, including generation of phase diagrams,
 Pourbaix diagrams, diffusion analyses, reactions, etc.
 .
 4. Electronic structure analyses, such as density of states and band
 structure.
 .
 5. Integration with the Materials Project REST API, Crystallography
 Open Database.
 .
 This is the documentation package for pymatgen.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=pymatgen

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build-indep: export http_proxy=127.0.0.1:9
override_dh_auto_build-indep: export https_proxy=127.0.0.1:9
override_dh_auto_build-indep:
	dh_auto_build
	PYTHONPATH=$(shell pybuild --pyver `py3versions --default -v` --print build_dir | awk '{print $$3}' ) \
	  make -C docs_rst html BUILDDIR=$(CURDIR)/build/html

override_dh_auto_test:
	echo "skipping tests until the pymatgen-test-files package becomes available"

skip_override_dh_auto_test:
	py=`py3versions --default -v`; \
	pybuilddir=`pybuild --pyver $$py --print build_dir | awk '{print $$3}'`; \
	testdir=$(CURDIR)/.pybuild/test_python$$py; \
	cp -a $$pybuilddir $$testdir; \
	for t in `find pymatgen -name tests`; do \
	  d=`dirname $$t`; \
	  cp -a $$t $$testdir/$$d; \
	done; \
	PMG_TEST_FILES_DIR=/usr/share/doc/pymatgen-test-files/examples/test_files PYTHONPATH=$$testdir pytest-3 -v --color=no $$testdir; \

override_dh_installdocs-indep:
	dh_installdocs -i
	# use multiline sed to remove entire div block for google-analytics.com
	grep "google-analytics.com" debian/python-pymatgen-doc/usr/share/doc/python-pymatgen-doc/html/* -r --files-with-matches | xargs sed '/./{H;$$!d} ; x ; s/<div class="footer">.*google-analytics.com.*<\/div>//' -i
	grep 'src="https://anaconda.org/conda-forge/pymatgen/badges/downloads.svg"' debian/python-pymatgen-doc/usr/share/doc/python-pymatgen-doc/html/* -r --files-with-matches | xargs sed 's|src="https://anaconda.org/conda-forge/pymatgen/badges/downloads.svg"|src="_images/downloads.svg"|' -i
	grep 'src="https://github.com/materialsproject/pymatgen/actions/workflows/test.yml/badge.svg"' debian/python-pymatgen-doc/usr/share/doc/python-pymatgen-doc/html/* -r --files-with-matches | xargs sed 's|src="https://github.com/materialsproject/pymatgen/actions/workflows/test.yml/badge.svg"|src="_images/tests_passing.svg"|' -i
	grep 'src="https://coveralls.io/repos/github/materialsproject/pymatgen/badge.svg?branch=master"' debian/python-pymatgen-doc/usr/share/doc/python-pymatgen-doc/html/* -r --files-with-matches | xargs sed 's|src="https://coveralls.io/repos/github/materialsproject/pymatgen/badge.svg?branch=master"|src="_images/coverage.svg"|' -i
	grep 'src="https://cdnjs.cloudflare.com/ajax/libs/octicons/.*/svg/mark-github.svg"' debian/python-pymatgen-doc/usr/share/doc/python-pymatgen-doc/html/* -r --files-with-matches | xargs sed 's|src="https://cdnjs.cloudflare.com/ajax/libs/octicons/.*/svg/mark-github.svg"|src="_images/mark-notgithub.svg"|' -i

=== debian/tests/control ===
Tests: test-pymatgen
Depends: @, @builddeps@

## pymatgen 2022.11.7+dfsg1

=== debian/changelog ===
pymatgen (2022.11.7+dfsg1-11+deb12u1) bookworm-security; urgency=medium

  * CVE-2024-23346 (Closes: #1064514)

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 28 Aug 2024 15:15:13 +0200

pymatgen (2022.11.7+dfsg1-11) unstable; urgency=medium

  * debian/tests: run tests verbose to help identify tests that timeout
  * debian/tests: skip test_rotor_search_rrs (not test_localopt) from
    test_babel.py. "7th item" for #1031705 was incorrectly identified.

 -- Drew Parsons <dparsons@debian.org>  Sun, 26 Feb 2023 14:09:26 +0100

pymatgen (2022.11.7+dfsg1-10) unstable; urgency=medium

  * debian/tests: skip test_localopt from io test_babel.py, which
    intermittently times out. Closes: #1031705.

 -- Drew Parsons <dparsons@debian.org>  Sat, 25 Feb 2023 14:07:46 +0100

pymatgen (2022.11.7+dfsg1-9) unstable; urgency=medium

  * hurd-i386: skip failing build tests, test_pca
    test_get_info_cohps_to_neighbors test_get_parchg
    test_as_dict_from_dict test_ir_spectra
  * clean .c files generated from .pyx

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Feb 2023 00:33:10 +0100

pymatgen (2022.11.7+dfsg1-8) unstable; urgency=medium

  * debian patch stress_fp_approx_2839.patch fixes floating point
    comparison in test_stress.py for hurd-i386.
    See https://github.com/materialsproject/pymatgen/issues/2839
  * resolve pymatgen/mp_api circular dependency by removing
    python3-mp-api from Build-Depends and set
    python3-pymatgen Recommends: python3-mp-api instead of Depends:
    Skip build-time test_matproj.py (mp_api is only used by
    ext/matproj.py) and add Depends: python3-mp-api to debian/tests.
    In practice the matproj tests are skipped anyway since an MP API
    key is not available.
    - reinstate debian patch no_mp_api.patch to enable tests to run
      without mp_api

 -- Drew Parsons <dparsons@debian.org>  Mon, 13 Feb 2023 11:49:16 +0100

pymatgen (2022.11.7+dfsg1-7) unstable; urgency=medium

  * skip failing tests
    - s390x, ppc64: test__generate_nbmax test_evaluate_wavefunc
      test_fft_mesh_advanced test_fft_mesh_basic test_get_parchg
      test_n2_45210 test_n2_spin test_standard test_write_unks
      test_consistency (tests from io/vasp)
    - hurd-i386: skip all plot tests (matplotlib on hurd fails with
      _tkinter.TclError: no display name and no $DISPLAY environment
      variable

 -- Drew Parsons <dparsons@debian.org>  Wed, 08 Feb 2023 17:07:44 +0100

pymatgen (2022.11.7+dfsg1-6) unstable; urgency=medium

  * skip failing tests
    - s390x, ppc64: skip test__generate_G_points
    - hurd-i386: test_plot
  * debian/tests: ease maintenance by only skipping run-time tests on
    debci-tested arches (release arches and riscv64)

 -- Drew Parsons <dparsons@debian.org>  Wed, 08 Feb 2023 11:54:37 +0100

pymatgen (2022.11.7+dfsg1-5) unstable; urgency=medium

  * skip failing build tests
    - s390x, ppc64: test_optics
    - hurd-i386: test_pca

 -- Drew Parsons <dparsons@debian.org>  Wed, 08 Feb 2023 09:32:07 +0100

pymatgen (2022.11.7+dfsg1-4) unstable; urgency=medium

  * skip failing tests
    - mips64el: test_pca
    - s390x, ppc64: test_from_file
    - hurd-i386: test_get_plot

 -- Drew Parsons <dparsons@debian.org>  Tue, 07 Feb 2023 11:35:19 +0100

pymatgen (2022.11.7+dfsg1-3) unstable; urgency=medium

  * skip failing tests
    - arm64, i386, ppc64el, riscv64: test_get_parchg
    - s390x, ppc64: test_spillage_from_vasprun
    - hurd-i386: test_structure_environments
  * Build-Depends:  python3-mp-api
    - drop debian/patches/no_mp_api.patch

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Feb 2023 20:01:01 +0100

pymatgen (2022.11.7+dfsg1-2) unstable; urgency=medium

  * add debian patches
    - numpy_1.24.patch replaces deprecated (dropped) numpy.int with int
      and np.complex with complex
    - no_mp_api.patch uses MPResterLegacy if mp_api is not available
    - test_piezo_4538090.patch applies upstream commit 4538090
    - test_piezo_sensitivity_99b5cd7.patch applies upstream commit
      99b5cd7 to fix test_piezo_sensitivity
    - openbabel_OBAlign.patch fixes path to openbabel
    - test_lammps_sorted.patch fixes api accessing properties of
      lammps data objects
    - skip_nonfree_testfile.patch skips test_CifParserSpringerPauling,
      since non-free PF*.cif test files are not available
    - fix_phonon_bandstructures_7ba41e0.patch applies upstream commit
      7ba41e0 to fix handling of data structures in phonon
      bandstructures
  * pymatgen-test-files is now available, activate build-time and
    run-time tests
  * io/qchem is partly broken, skip failing tests:
    - input: test_from_multi_jobs_file test_from_string
      test_read_molecule test_read_nbo test_read_negative
      test_read_plots test_read_write_nbo7
    - output: test_all test_custom_smd_write
    - test_sets.py (all)
  * skip io tests that fail in chroot:
    test_CifWriter test_read_write test_init test_get_site_symmetries
  * Standards-Version: 4.6.2
  * use dh-sequences for python3 and sphinxdoc and the make doc build
    conditional (arch-indep build only)

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Feb 2023 01:22:16 +0100

pymatgen (2022.11.7+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - applies/deprecates debian patches test_h5py_byte_string.patch
      and test_no_internet.patch
    - Build-Depends: cython3, python3-spglib (>= 2.0.2~)
    - Build-Depends: pybuild-plugin-pyproject to use pyproject.toml
    - supports python 3.11 (Closes: #1024075)
  * drop debian patch skip_tests.patch (tests now fixed)
  * mark python-pymatgen-doc as Multi-Arch: foreign
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 26 Nov 2022 00:25:13 +0100

=== debian/control ===
--- 
+++ 
@@ -4,37 +4,43 @@
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
+ pymatgen-test-files <!nocheck>,
  dh-python,
+ dh-sequence-python3,
+ cython3,
+ pybuild-plugin-pyproject,
  python3-setuptools,
  python3-all-dev,
  python3-pytest,
+ python3-matplotlib (>= 1.5~),
+ python3-monty (>= 3.0.2~),
+ python3-networkx (>= 2.2~),
  python3-numpy (>= 1.20.1~),
+ python3-palettable (>= 3.1.1~),
+ python3-pandas (>= 1.1.3~),
+ python3-plotly (>= 4.5.0~),
+ python3-scipy (>= 1.5.2~),
+ python3-spglib (>= 2.0.2~),
+ python3-pybtex (>= 0.22.2~),
+ python3-requests (>= 2.24.0~),
+ python3-ruamel.yaml (>= 0.16.12~),
  python3-sympy (>= 1.6.2~),
- python3-requests (>= 2.24.0~),
- python3-monty (>= 3.0.2~),
- python3-ruamel.yaml (>= 0.16.12~),
- python3-scipy (>= 1.5.2~),
  python3-tabulate (>= 0.8.7~),
- python3-matplotlib (>= 1.5~),
- python3-palettable (>= 3.1.1~),
- python3-spglib (>= 1.9.9.44~),
- python3-pandas (>= 1.1.3~),
- python3-networkx (>= 2.2~),
- python3-plotly (>= 4.5.0~),
+ python3-tqdm (>= 4.41.0~),
+ python3-uncertainties (>= 3.1.4~),
+ python3-ase (>= 3.3~),
  python3-bs4 (>= 4.9.1~),
  python3-vtk9,
+ python3-h5py (>= 2.10.0~),
+ python3-netcdf4 (>= 1.5.3~),
  python3-phonopy,
- python3-pybtex (>= 0.22.2~),
- python3-tqdm (>= 4.41.0~),
- python3-ase (>= 3.3~),
- python3-netcdf4 (>= 1.5.3~),
- python3-h5py (>= 2.10.0~),
- python3-uncertainties (>= 3.1.4~),
- python3-openbabel,
- libjs-mathjax,
- sphinx | python3-sphinx | sphinx-common | dh-sequence-sphinxdoc,
- python3-sphinx-rtd-theme
-Standards-Version: 4.6.0
+ python3-openbabel
+Build-Depends-Indep:
+ dh-sequence-sphinxdoc <!nodoc>,
+ sphinx | python3-sphinx | sphinx-common | dh-sequence-sphinxdoc <!nodoc>,
+ libjs-mathjax <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>
+Standards-Version: 4.6.2
 Homepage: https://pymatgen.org/
 Vcs-Browser: https://salsa.debian.org/debichem-team/pymatgen
 Vcs-Git: https://salsa.debian.org/debichem-team/pymatgen.git
@@ -43,7 +49,7 @@
 Package: python3-pymatgen
 Architecture: any
 Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Recommends: python3-openbabel
+Recommends: python3-openbabel, python3-mp-api
 Suggests: python-pymatgen-doc
 Description: Python Materials Genomics for materials analysis
  Pymatgen (Python Materials Genomics) is a robust, open-source Python
@@ -69,6 +75,7 @@
 
 Package: python-pymatgen-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: libjs-mathjax, ${sphinxdoc:Depends}, ${misc:Depends}
 Description: Python Materials Genomics for materials analysis (documentation)

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=pymatgen

include /usr/share/dpkg/architecture.mk

# bootstrapping problem with circular dependency between pymatgen and mp-api
# mp_api is only used by ext/matproj.py, so skip its test at build-time
# (in practice the matproj tests are skipped anyway since an MP API key is not available)
SKIP_TEST_LIST += test_matproj

# io/qchem is partly broken, skip failing tests
# io/qchem input
SKIP_TEST_LIST += test_from_multi_jobs_file test_from_string test_read_molecule test_read_nbo test_read_negative test_read_plots test_read_write_nbo7
# io/qchem output
SKIP_TEST_LIST += test_all test_custom_smd_write
# io/qchem sets (test_sets.py all fail)
SKIP_TEST_LIST += test_sets

# these io tests fail in chroot
SKIP_TEST_LIST += test_CifWriter test_read_write test_init test_get_site_symmetries

ifneq (,$(findstring $(DEB_HOST_ARCH), arm64))
    SKIP_TEST_LIST += test_get_parchg
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), i386))
    SKIP_TEST_LIST += test_get_parchg
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), mips64el))
    SKIP_TEST_LIST += test_pca
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), ppc64el))
    SKIP_TEST_LIST += test_get_parchg
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), s390x))
    SKIP_TEST_LIST += test_spillage_from_vasprun test_from_file
    # many VASP tests fail on s390x (and ppc64)
    SKIP_TEST_LIST += test_optics test__generate_G_points test__generate_nbmax test_evaluate_wavefunc test_fft_mesh_advanced test_fft_mesh_basic
    SKIP_TEST_LIST += test_get_parchg test_n2_45210 test_n2_spin test_standard test_write_unks test_consistency
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), hurd-i386))
    SKIP_TEST_LIST += plot test_structure_environments test_pca test_get_info_cohps_to_neighbors test_get_parchg test_as_dict_from_dict test_ir_spectra
endif

# ppc64 fails on same tests as s390x
ifneq (,$(findstring $(DEB_HOST_ARCH), ppc64))
    SKIP_TEST_LIST += test_spillage_from_vasprun test_from_file
    SKIP_TEST_LIST += test_optics test__generate_G_points test__generate_nbmax test_evaluate_wavefunc test_fft_mesh_advanced test_fft_mesh_basic
    SKIP_TEST_LIST += test_get_parchg test_n2_45210 test_n2_spin test_standard test_write_unks test_consistency
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), riscv64))
    SKIP_TEST_LIST += test_get_parchg
endif

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_clean:
	rm -f pymatgen/optimization/linear_assignment.c pymatgen/optimization/neighbors.c pymatgen/util/coord_cython.c

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	PYTHONPATH=$(shell pybuild --pyver `py3versions --default -v` --print build_dir | awk '{print $$3}' ) \
	  make -C docs_rst html BUILDDIR=$(CURDIR)/build/html
endif

override_dh_auto_test:
	py=`py3versions --default -v`; \
	pybuilddir=`pybuild --pyver $$py --print build_dir | awk '{print $$3}'`; \
	testdir=$(CURDIR)/.pybuild/test_python$$py; \
	cp -a $$pybuilddir $$testdir; \
	for t in `find pymatgen -name tests`; do \
	  d=`dirname $$t`; \
	  cp -a $$t $$testdir/$$d; \
	done; \
	SKIP_TESTS=""; \
	list_initialised=0; \
	for t in $(SKIP_TEST_LIST); do \
	    if [ $${list_initialised} = 0 ]; then \
	        SKIP_TESTS=$$t; \
	        list_initialised=1; \
	    else \
	        SKIP_TESTS="$${SKIP_TESTS} or $$t"; \
	    fi; \
	done; \
	if [ "x$${SKIP_TESTS}" != "x" ]; then \
	    SKIP_TESTS="not ( $${SKIP_TESTS} )"; \
	fi; \
	echo "skipping tests: $${SKIP_TESTS}"; \
	PMG_TEST_FILES_DIR=/usr/share/doc/pymatgen-test-files/examples/test_files PYTHONPATH=$$testdir \
	  pytest-3 -v --color=no -k "$${SKIP_TESTS}" $$testdir; \

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_installdocs-indep:
	# use multiline sed to remove entire div block for google-analytics.com
	grep "google-analytics.com" debian/python-pymatgen-doc/usr/share/doc/python-pymatgen-doc/html/* -r --files-with-matches | xargs sed '/./{H;$$!d} ; x ; s/<div class="footer">.*google-analytics.com.*<\/div>//' -i
	grep 'src="https://anaconda.org/conda-forge/pymatgen/badges/downloads.svg"' debian/python-pymatgen-doc/usr/share/doc/python-pymatgen-doc/html/* -r --files-with-matches | xargs sed 's|src="https://anaconda.org/conda-forge/pymatgen/badges/downloads.svg"|src="_images/downloads.svg"|' -i
	grep 'src="https://github.com/materialsproject/pymatgen/actions/workflows/test.yml/badge.svg"' debian/python-pymatgen-doc/usr/share/doc/python-pymatgen-doc/html/* -r --files-with-matches | xargs sed 's|src="https://github.com/materialsproject/pymatgen/actions/workflows/test.yml/badge.svg"|src="_images/tests_passing.svg"|' -i
	grep 'src="https://coveralls.io/repos/github/materialsproject/pymatgen/badge.svg?branch=master"' debian/python-pymatgen-doc/usr/share/doc/python-pymatgen-doc/html/* -r --files-with-matches | xargs sed 's|src="https://coveralls.io/repos/github/materialsproject/pymatgen/badge.svg?branch=master"|src="_images/coverage.svg"|' -i
	grep 'src="https://cdnjs.cloudflare.com/ajax/libs/octicons/.*/svg/mark-github.svg"' debian/python-pymatgen-doc/usr/share/doc/python-pymatgen-doc/html/* -r --files-with-matches | xargs sed 's|src="https://cdnjs.cloudflare.com/ajax/libs/octicons/.*/svg/mark-github.svg"|src="_images/mark-notgithub.svg"|' -i
endif

=== debian/tests/control ===
Tests: test-pymatgen
Depends: @, @builddeps@,
 python3-mp-api

## pymatgen 2023.06.23+dfsg1

=== requirements.txt ===
numpy==1.24.3
sympy==1.11.1
requests==2.28.1
monty==2022.9.9
ruamel.yaml==0.17.21
scipy==1.9.0
tabulate==0.9.0
matplotlib==3.5.2
palettable==3.3.0
spglib==2.0.2
pandas==2.0.1
networkx==2.8.8
plotly==5.11.0
beautifulsoup4==4.12.2
uncertainties==3.1.7
Cython==0.29.32
pybtex==0.24.0
mp-api==0.33.3
tqdm==4.65.0
frozendict==2.3.8

=== debian/changelog ===
pymatgen (2023.06.23+dfsg1-2) unstable; urgency=medium

  * mips64el: skip test_from_diff_fit in test_elastic.py
    cf. https://github.com/materialsproject/pymatgen/issues/3112
  * skip VASP tests (and others) on hppa, same as s390x, ppc64

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Jun 2023 13:47:17 +0200

pymatgen (2023.06.23+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - fixes floating point tests that failed on i386
      (see upstream Issue#3087)
  * CVE-2022-42964: add debian patch
    CVE-2022-42964_ReDOS_vulnerability.patch to apply a patch suggested
    in upstream Issue#2755 to resolve a Regular Expression Denial of
    Service. Closes: #1024017.
  * Build-Depends: python3-frozendict
  * Versioned Depends: python3-mp-api (>= 0.27.3~)
  * update debian patch skip_failing_WulffShapeTest.patch to skip
    tests using pytest not unittest
  * debian patch test_raise_match.patch aligns string of ValueError,
    see upstream Issue#3106.
  * skip MoleculeMatcherTest.test_fit in test_molecule_matcher.py
    which fails for some reason ("arg 2 is double")

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Jun 2023 23:46:20 +0200

pymatgen (2023.05.31+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patch test_fp_comparison.patch
  * skip analysis fragmenter test
    test_babel_PC_with_RO_depth_0_vs_depth_10
    (see https://github.com/materialsproject/pymatgen/issues/3078)
  * rename debian patch no_mp_api.patch as no_mp_api_emmet.patch
    to add emmet.core handling in util/tests/test_graph_hashing.py
    - add Depends: python3-emmet-core to debian/tests

 -- Drew Parsons <dparsons@debian.org>  Mon, 19 Jun 2023 13:04:02 +0200

pymatgen (2023.2.22+dfsg1-4) experimental; urgency=medium

  * debian/control: drop Testsuite: autopkgtest-pkg-python
    (it is redundant since debian/tests is used, and makes debci logs
     harder to read)
  * ppc64el: skip test_numerical_eoswrapper

 -- Drew Parsons <dparsons@debian.org>  Wed, 01 Mar 2023 12:16:30 +0100

pymatgen (2023.2.22+dfsg1-3) experimental; urgency=medium

  * mips64el: skip VASP test_standard
  * s390x, ppc64: skip test_process_parsed_HESS

 -- Drew Parsons <dparsons@debian.org>  Wed, 01 Mar 2023 00:04:04 +0100

pymatgen (2023.2.22+dfsg1-2) experimental; urgency=medium

  * debian patch test_fp_comparison.patch fixes
    test_get_dos_fp_similarity in test_dos.py to use floating point
    comparison. See upstream Issue#2866.

 -- Drew Parsons <dparsons@debian.org>  Tue, 28 Feb 2023 13:17:02 +0100

pymatgen (2023.2.22+dfsg1-1) experimental; urgency=medium

  * New upstream release
    - applies debian patches,
      fix_phonon_bandstructures_7ba41e0.patch
      numpy_1.24.patch
      stress_fp_approx_2839.patch
      test_lammps_sorted.patch
      test_piezo_4538090.patch
      test_piezo_sensitivity_99b5cd7.patch
    - update versioned Build-Depends
      python3-ruamel.yaml (>= 0.17.0~),
      python3-ase (>= 3.22.1~),
      python3-netcdf4 (>= 1.5.8~)
    - Build-Depends: pymatgen-test-files (>= 2023.2.22~)
      (electronic_structure test_plotter.py needs SrBa2Sn2O7.json)
  * skip failing tests
    - BSDOSPlotterTest (times out)
    - test_cdft_dc_parsing (requires write permissions)
  * rename debian patch docs_mathjax_local.patch as
    docs_libjs_local.patch and add local reference to jquery.min.js
  * test_get_structure_by_id requires internet
    (www.crystallography.net), so skip at build time and run
    separately in test-pymatgen-net from debian/tests

 -- Drew Parsons <dparsons@debian.org>  Tue, 28 Feb 2023 11:54:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
- pymatgen-test-files <!nocheck>,
+ pymatgen-test-files (>= 2023.05.31~) <!nocheck>,
  dh-python,
  dh-sequence-python3,
  cython3,
@@ -12,6 +12,7 @@
  python3-setuptools,
  python3-all-dev,
  python3-pytest,
+ python3-frozendict,
  python3-matplotlib (>= 1.5~),
  python3-monty (>= 3.0.2~),
  python3-networkx (>= 2.2~),
@@ -19,37 +20,37 @@
  python3-palettable (>= 3.1.1~),
  python3-pandas (>= 1.1.3~),
  python3-plotly (>= 4.5.0~),
+ python3-pybtex (>= 0.22.2~),
+ python3-requests (>= 2.24.0~),
+ python3-ruamel.yaml (>= 0.17.0~),
  python3-scipy (>= 1.5.2~),
  python3-spglib (>= 2.0.2~),
- python3-pybtex (>= 0.22.2~),
- python3-requests (>= 2.24.0~),
- python3-ruamel.yaml (>= 0.16.12~),
  python3-sympy (>= 1.6.2~),
  python3-tabulate (>= 0.8.7~),
  python3-tqdm (>= 4.41.0~),
  python3-uncertainties (>= 3.1.4~),
- python3-ase (>= 3.3~),
+ python3-ase (>= 3.22.1~),
  python3-bs4 (>= 4.9.1~),
  python3-vtk9,
  python3-h5py (>= 2.10.0~),
- python3-netcdf4 (>= 1.5.3~),
+ python3-netcdf4 (>= 1.5.8~),
  python3-phonopy,
  python3-openbabel
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
  sphinx | python3-sphinx | sphinx-common | dh-sequence-sphinxdoc <!nodoc>,
+ libjs-jquery <!nodoc>,
  libjs-mathjax <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://pymatgen.org/
 Vcs-Browser: https://salsa.debian.org/debichem-team/pymatgen
 Vcs-Git: https://salsa.debian.org/debichem-team/pymatgen.git
-Testsuite: autopkgtest-pkg-python
 
 Package: python3-pymatgen
 Architecture: any
 Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Recommends: python3-openbabel, python3-mp-api
+Recommends: python3-openbabel, python3-mp-api (>= 0.27.3~)
 Suggests: python-pymatgen-doc
 Description: Python Materials Genomics for materials analysis
  Pymatgen (Python Materials Genomics) is a robust, open-source Python
@@ -77,7 +78,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: libjs-mathjax, ${sphinxdoc:Depends}, ${misc:Depends}
+Depends: libjs-jquery, libjs-mathjax, ${sphinxdoc:Depends}, ${misc:Depends}
 Description: Python Materials Genomics for materials analysis (documentation)
  Pymatgen (Python Materials Genomics) is a robust, open-source Python
  library for materials analysis. These are some of the main features:

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 export PYBUILD_NAME=pymatgen
 
 include /usr/share/dpkg/architecture.mk
+
+empty :=
+space := $(empty)$(empty)
 
 # bootstrapping problem with circular dependency between pymatgen and mp-api
 # mp_api is only used by ext/matproj.py, so skip its test at build-time
@@ -19,9 +22,18 @@
 SKIP_TEST_LIST += test_all test_custom_smd_write
 # io/qchem sets (test_sets.py all fail)
 SKIP_TEST_LIST += test_sets
-
 # these io tests fail in chroot
 SKIP_TEST_LIST += test_CifWriter test_read_write test_init test_get_site_symmetries
+# times out
+SKIP_TEST_LIST += BSDOSPlotterTest
+# requires write permissions
+SKIP_TEST_LIST += test_cdft_dc_parsing
+# requires internet
+SKIP_TEST_LIST += test_get_structure_by_id
+# fragmenter openbabel test fails, see https://github.com/materialsproject/pymatgen/issues/3078
+SKIP_TEST_LIST += test_babel_PC_with_RO_depth_0_vs_depth_10
+# MoleculeMatcherTest.test_fit in test_molecule_matcher.py fails for some reason
+SKIP_TEST_LIST += test_fit
 
 ifneq (,$(findstring $(DEB_HOST_ARCH), arm64))
     SKIP_TEST_LIST += test_get_parchg
@@ -32,16 +44,17 @@
 endif
 
 ifneq (,$(findstring $(DEB_HOST_ARCH), mips64el))
-    SKIP_TEST_LIST += test_pca
+    SKIP_TEST_LIST += test_pca test_standard test_from_diff_fit
 endif
 
 ifneq (,$(findstring $(DEB_HOST_ARCH), ppc64el))
-    SKIP_TEST_LIST += test_get_parchg
+    SKIP_TEST_LIST += test_get_parchg test_numerical_eoswrapper
 endif
 
-ifneq (,$(findstring $(DEB_HOST_ARCH), s390x))
-    SKIP_TEST_LIST += test_spillage_from_vasprun test_from_file
-    # many VASP tests fail on s390x (and ppc64)
+# many VASP tests (and others) fail on s390x, ppc64, hppa
+BAD_VASP_ARCH_LIST := s390x ppc64 hppa
+ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(BAD_VASP_ARCH_LIST)$(space)))
+    SKIP_TEST_LIST += test_spillage_from_vasprun test_process_parsed_HESS test_from_file
     SKIP_TEST_LIST += test_optics test__generate_G_points test__generate_nbmax test_evaluate_wavefunc test_fft_mesh_advanced test_fft_mesh_basic
     SKIP_TEST_LIST += test_get_parchg test_n2_45210 test_n2_spin test_standard test_write_unks test_consistency
 endif
@@ -50,16 +63,10 @@
     SKIP_TEST_LIST += plot test_structure_environments test_pca test_get_info_cohps_to_neighbors test_get_parchg test_as_dict_from_dict test_ir_spectra
 endif
 
-# ppc64 fails on same tests as s390x
-ifneq (,$(findstring $(DEB_HOST_ARCH), ppc64))
-    SKIP_TEST_LIST += test_spillage_from_vasprun test_from_file
-    SKIP_TEST_LIST += test_optics test__generate_G_points test__generate_nbmax test_evaluate_wavefunc test_fft_mesh_advanced test_fft_mesh_basic
-    SKIP_TEST_LIST += test_get_parchg test_n2_45210 test_n2_spin test_standard test_write_unks test_consistency
-endif
-
 ifneq (,$(findstring $(DEB_HOST_ARCH), riscv64))
     SKIP_TEST_LIST += test_get_parchg
 endif
+
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: test-pymatgen
Depends: @, @builddeps@,
 python3-mp-api (>= 0.27.3~),
 python3-emmet-core

Tests: test-pymatgen-net
Depends: @, @builddeps@,
 python3-mp-api (>= 0.27.3~),
 python3-emmet-core
Restrictions: needs-internet

## pymatgen 2024.1.27+dfsg1

=== requirements.txt ===
numpy==1.25.2
sympy==1.11.1
requests==2.31.0
monty==2024.1.26
>>>>>>> bee080171 (Fix monty version.)
ruamel.yaml==0.17.32
scipy==1.11.2
tabulate==0.9.0
matplotlib==3.7.2
palettable==3.3.0
spglib==2.0.2
pandas==2.0.3
networkx==2.8.8
plotly==5.16.1
beautifulsoup4==4.12.2
uncertainties==3.1.7
Cython==3.0.2
pybtex==0.24.0
tqdm==4.66.1
joblib==1.3.2

=== debian/changelog ===
pymatgen (2024.1.27+dfsg1-7) unstable; urgency=medium

  * do not run packmol tests on armel or riscv64
    (the tests timeout on these systems)

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Feb 2024 16:38:40 +0100

pymatgen (2024.1.27+dfsg1-6) unstable; urgency=medium

  * debian/tests test-pymatgen Depends: packmol
    for io/test_packmol.py. Also Build-Depends.
  * debian patch for CVE-2024-23346
    CVE-2024-23346_JonesFaithfulTransformation_sympy-c231cbd.patch
    applies upstream commit c231cbd to fix security vulnerability in
    JonesFaithfulTransformation. Closes: #1064514.

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Feb 2024 00:56:58 +0100

pymatgen (2024.1.27+dfsg1-5) unstable; urgency=medium

  * skip TestAnharmonicQuasiharmociDebyeApprox.test_gruneisen_parameter
    on riscv64 as well

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Feb 2024 22:27:07 +0100

pymatgen (2024.1.27+dfsg1-4) unstable; urgency=medium

  * skip TestAnharmonicQuasiharmociDebyeApprox.test_gruneisen_parameter
    from analysis/test_quasiharmonic_debye_approx.py
    on arm64, i386, ppc64el, s390x

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Feb 2024 12:24:51 +0100

pymatgen (2024.1.27+dfsg1-3) unstable; urgency=medium

  * update failing tests to skip
    - add powerpc to BAD_VASP_ARCH_LIST with s390x hppa ppc64
    - i386: test_numerical_eoswrapper
    - hppa: test_cohp
    - powerpc: test_pmg_structure
  * pytest -v not -vv in debian/tests (test-pymatgen)
  * new version works with pandas 2. Closes: #1053939.

 -- Drew Parsons <dparsons@debian.org>  Fri, 02 Feb 2024 19:18:44 +0100

pymatgen (2024.1.27+dfsg1-2) experimental; urgency=medium

  * provide PATH to scripts (pmg) during build-time tests

 -- Drew Parsons <dparsons@debian.org>  Thu, 01 Feb 2024 11:03:03 +0100

pymatgen (2024.1.27+dfsg1-1) experimental; urgency=medium

  [ Andreas Tille ]
  * Use sphinx-build to generate docs
  * add debian/salsa-ci.yml (thanks Andreas Tille)
  * Rules-Requires-Root: no (routine-update, Andreas Tille)
  * Exclude sphinx_markdown_builder extension

  [ Drew Parsons ]
  * New upstream release
    - update Build-Depends: python3-joblib (new)
      python3-numpy (>= 1.25.0~),
      python3-h5py (>= 3.8.0~),
    - tests now located in separate tests dir
    - applies or deprecates debian patches:
      skip_failing_WulffShapeTest.patch
      docs_no_local_python.patch
      openbabel_OBAlign.patch
      no_mp_api_emmet.patch
      remove_monty_unicode2str_a8199919.diff
      test_raise_match.patch
  * update debian/copyright
    - docs now buildable, don't exclude
    - excluded test files moved to tests/files
  * update versioned Build-Depends: pymatgen-test-files (>= 2024.1.27~)
    and test file path
  * update debian patch no_mp_api_emmet.patch to stop handling matproj
    (which may not be available) in util/testing.py
  * add debian patches
    - tests_init.patch adds __init__.py to tests dir.
      Required so pytest can import tests.
    - tests_pass_or_skip.patch fixes broken tests
    - docs_index.patch puts content into index.rst
      (copies pymatgen.rst)
  * run pytest with --import-mode=prepend (build-time tests only)
  * skip SeeK tests in io/pwmat/test_inputs.py (TestGenKpt,
    TestHighSymmetryPoint) since SeeK is not available
  * update docs privacy fixes: don't remove google-analytics.com or
    replace svg badges (since they are no longer injected into docs)
  * skip test_get_parchg on loong64. Closes: #1061545.

 -- Drew Parsons <dparsons@debian.org>  Thu, 01 Feb 2024 02:03:39 +0100

pymatgen (2023.06.23+dfsg1-4) unstable; urgency=medium

  * debian/tests: skip test_rotor_search_wrs, which is slow and
    sometimes times out. Closes: #1058662.
  * python3-pymatgen Depends: python3-spglib (>= 2.0.2~)
    (spglib is not identified by dh_python3, Bug#1061357)
  * python3-pymatgen Recommends: python3-ase (>= 3.22.1~)
    (optional dependency)

 -- Drew Parsons <dparsons@debian.org>  Tue, 23 Jan 2024 00:40:19 +0100

pymatgen (2023.06.23+dfsg1-3) unstable; urgency=medium

  * add debian patches
    - remove_monty_unicode2str_a8199919.diff applies upstream commit
      a8199919 to remove usage of deprecated unicode2str function from
      monty. Closes: #1058040.
    - skip_test_zsl.patch skips test_zsl in numba is available, since
      it is incompatible with current numba
  * delete generated files after dh_auto_clean. Closes: #1045877.
  * Build-Depends: cython3-legacy. Closes: #1056841.

 -- Drew Parsons <dparsons@debian.org>  Sat, 20 Jan 2024 01:39:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
- pymatgen-test-files (>= 2023.05.31~) <!nocheck>,
+ pymatgen-test-files (>= 2024.1.27~) <!nocheck>,
  dh-python,
  dh-sequence-python3,
- cython3,
+ cython3-legacy,
  pybuild-plugin-pyproject,
  python3-setuptools,
  python3-all-dev,
@@ -16,7 +16,7 @@
  python3-matplotlib (>= 1.5~),
  python3-monty (>= 3.0.2~),
  python3-networkx (>= 2.2~),
- python3-numpy (>= 1.20.1~),
+ python3-numpy (>= 1.25.0~),
  python3-palettable (>= 3.1.1~),
  python3-pandas (>= 1.1.3~),
  python3-plotly (>= 4.5.0~),
@@ -29,13 +29,15 @@
  python3-tabulate (>= 0.8.7~),
  python3-tqdm (>= 4.41.0~),
  python3-uncertainties (>= 3.1.4~),
+ python3-joblib,
  python3-ase (>= 3.22.1~),
  python3-bs4 (>= 4.9.1~),
  python3-vtk9,
- python3-h5py (>= 2.10.0~),
+ python3-h5py (>= 3.8.0~),
  python3-netcdf4 (>= 1.5.8~),
  python3-phonopy,
- python3-openbabel
+ python3-openbabel,
+ packmol [!armel !riscv64] <!nocheck>
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
  sphinx | python3-sphinx | sphinx-common | dh-sequence-sphinxdoc <!nodoc>,
@@ -44,13 +46,16 @@
  python3-sphinx-rtd-theme <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://pymatgen.org/
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debichem-team/pymatgen
 Vcs-Git: https://salsa.debian.org/debichem-team/pymatgen.git
 
 Package: python3-pymatgen
 Architecture: any
-Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Recommends: python3-openbabel, python3-mp-api (>= 0.27.3~)
+Depends: python3-spglib (>= 2.0.2~),
+ ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Recommends: python3-openbabel, python3-mp-api (>= 0.27.3~),
+ python3-ase (>= 3.22.1~)
 Suggests: python-pymatgen-doc
 Description: Python Materials Genomics for materials analysis
  Pymatgen (Python Materials Genomics) is a robust, open-source Python

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=pymatgen

include /usr/share/dpkg/architecture.mk

empty :=
space := $(empty)$(empty)

# bootstrapping problem with circular dependency between pymatgen and mp-api
# mp_api is only used by ext/matproj.py, so skip its test at build-time
# (in practice the matproj tests are skipped anyway since an MP API key is not available)
SKIP_TEST_LIST += test_matproj

# SeeK-path has not been packaged for debian
# so skip SeeK tests in io/pwmat/test_inputs.py
SKIP_TEST_LIST += TestGenKpt TestHighSymmetryPoint

# io/qchem is partly broken, skip failing tests
# io/qchem input
SKIP_TEST_LIST += test_from_multi_jobs_file test_from_string test_read_molecule test_read_nbo test_read_negative test_read_plots test_read_write_nbo7
# io/qchem output
SKIP_TEST_LIST += test_all test_custom_smd_write
# io/qchem sets (test_sets.py all fail)
SKIP_TEST_LIST += test_sets
# these io tests fail in chroot
SKIP_TEST_LIST += test_CifWriter test_read_write test_init test_get_site_symmetries
# times out
SKIP_TEST_LIST += BSDOSPlotterTest
# requires write permissions
SKIP_TEST_LIST += test_cdft_dc_parsing
# requires internet
SKIP_TEST_LIST += test_get_structure_by_id
# fragmenter openbabel test fails, see https://github.com/materialsproject/pymatgen/issues/3078
SKIP_TEST_LIST += test_babel_PC_with_RO_depth_0_vs_depth_10
# MoleculeMatcherTest.test_fit in test_molecule_matcher.py fails for some reason
SKIP_TEST_LIST += test_fit

ifneq (,$(findstring $(DEB_HOST_ARCH), arm64))
    SKIP_TEST_LIST += test_get_parchg "(TestAnharmonicQuasiharmociDebyeApprox and test_gruneisen_parameter)"
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), i386))
    SKIP_TEST_LIST += test_get_parchg test_numerical_eoswrapper "(TestAnharmonicQuasiharmociDebyeApprox and test_gruneisen_parameter)"
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), mips64el))
    SKIP_TEST_LIST += test_pca test_standard test_from_diff_fit
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), ppc64el))
    SKIP_TEST_LIST += test_get_parchg test_numerical_eoswrapper "(TestAnharmonicQuasiharmociDebyeApprox and test_gruneisen_parameter)"
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), riscv64))
    SKIP_TEST_LIST += test_get_parchg "(TestAnharmonicQuasiharmociDebyeApprox and test_gruneisen_parameter)"
endif

# many VASP tests (and others) fail on s390x, hppa, powerpc ppc64
BAD_VASP_ARCH_LIST := s390x hppa powerpc ppc64
ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(BAD_VASP_ARCH_LIST)$(space)))
    SKIP_TEST_LIST += test_spillage_from_vasprun test_process_parsed_hess test_from_file
    SKIP_TEST_LIST += test_optics test_generate_g_points test_generate_nbmax test_evaluate_wavefunc test_fft_mesh_advanced test_fft_mesh_basic
    SKIP_TEST_LIST += test_get_parchg test_n2_45210 test_n2_spin test_standard test_write_unks test_consistency
    SKIP_TEST_LIST += "(TestAnharmonicQuasiharmociDebyeApprox and test_gruneisen_parameter)"
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), hppa))
    SKIP_TEST_LIST += test_cohp
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), hurd-i386))
    SKIP_TEST_LIST += plot test_structure_environments test_pca test_get_info_cohps_to_neighbors test_get_parchg test_as_dict_from_dict test_ir_spectra
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), powerpc))
    SKIP_TEST_LIST += test_pmg_structure
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), loong64))
    SKIP_TEST_LIST += test_get_parchg
endif


%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_clean:
	rm -f pymatgen/optimization/linear_assignment.c pymatgen/optimization/neighbors.c pymatgen/util/coord_cython.c
	rm -rf pd.json .hypothesis tmp_dir

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	PYTHONPATH=$(shell pybuild --pyver `py3versions --default -v` --print build_dir | awk '{print $$3}' ) \
	  sphinx-build docs/apidoc build/html
endif

override_dh_auto_test:
	py=`py3versions --default -v`; \
	pybuilddir=`pybuild --pyver $$py --print build_dir | awk '{print $$3}'`; \
	testdir=$(CURDIR)/.pybuild/test_python$$py; \
	cp -a $$pybuilddir $$testdir; \
	cp -a tests $$testdir; \
	SKIP_TESTS=""; \
	list_initialised=0; \
	for t in $(SKIP_TEST_LIST); do \
	    if [ $${list_initialised} = 0 ]; then \
	        SKIP_TESTS=$$t; \
	        list_initialised=1; \
	    else \
	        SKIP_TESTS="$${SKIP_TESTS} or $$t"; \
	    fi; \
	done; \
	if [ "x$${SKIP_TESTS}" != "x" ]; then \
	    SKIP_TESTS="not ( $${SKIP_TESTS} )"; \
	fi; \
	echo "skipping tests: $${SKIP_TESTS}"; \
	PMG_TEST_FILES_DIR=/usr/share/doc/pymatgen-test-files/examples/files \
	  PYTHONPATH=$$testdir PATH=$$pybuilddir/../scripts:$$PATH \
	  pytest-3 -v --import-mode=prepend --color=no -k "$${SKIP_TESTS}" $$testdir; \

=== debian/tests/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Tests: test-pymatgen
 Depends: @, @builddeps@,
  python3-mp-api (>= 0.27.3~),
- python3-emmet-core
+ python3-emmet-core,
+ packmol [!armel !riscv64]
 
 Tests: test-pymatgen-net
 Depends: @, @builddeps@,
